using System;
using System.Linq;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;

using SmartX;
using INT_LKD_2.DataStore;
using INT_LKD_2.Forms;

namespace INT_LKD_2.Controls.MainDisplay
{
    public partial class ControlMainDisplay12 : UserControl
    {
        #region Field
        private FormMainDisplay m_ParentForm;

        private Collection<SmartLabel> CollectionLabelResult;
        private Collection<SmartLabel> CollectionLabelResultDiff;
        private Collection<SmartLabel> CollectionLabelResultDisp;

        private Collection<SmartLabel> CollectionLabelLevel;
        private Collection<SmartLabel> CollectionLabelHeight;
        private Collection<SmartLabel> CollectionLabelDiff;
        private Collection<SmartLabel> CollectionLabelMaxHeight;

        private Collection<SmartLabel> CollectionLabelDiffMadc;
        private Collection<SmartLabel> CollectionLabelLRSec;
        private Collection<SmartLabel> CollectionLabelLRMax;

        private Collection<SmartLabel> CollectionPressureWork;
        private Collection<SmartLabel> CollectionPressureMaster;

        private Collection<SmartGroupBox> CollectionGroupBoxTitle;
        private Collection<SmartLabel> CollectionLabelTitleWork;
        private Collection<SmartLabel> CollectionLabelTitleMaster;
        private Collection<SmartLabel> CollectionLabelTitleLRSec;
        private Collection<SmartLabel> CollectionLabelTitleLRMax;
        private Collection<SmartLabel> CollectionLabelTitleLevel;
        private Collection<SmartLabel> CollectionLabelTitleHeight;
        private Collection<SmartLabel> CollectionLabelTitleMaxHeight;
        private Collection<SmartLabel> CollectionLabelTitleDiff;
        #endregion

        #region Constructor
        public ControlMainDisplay12(FormMainDisplay parent)
        {
            InitializeComponent();

            this.ParentForm = parent;

            this.Initialize();
            this.InitializeData();
            this.InitializeDesign();
        } 
        #endregion

        #region Property
        public FormMainDisplay ParentForm
        {
            get { return this.m_ParentForm; }
            set { this.m_ParentForm = value; }
        }
        #endregion

        #region Method
        private void Initialize()
        {
            this.CollectionLabelResult = new Collection<SmartLabel>();
            this.CollectionLabelResultDiff = new Collection<SmartLabel>();
            this.CollectionLabelResultDisp = new Collection<SmartLabel>();
            this.CollectionLabelLevel = new Collection<SmartLabel>();
            this.CollectionLabelHeight = new Collection<SmartLabel>();
            this.CollectionLabelDiff = new Collection<SmartLabel>();
            this.CollectionLabelMaxHeight = new Collection<SmartLabel>();
            this.CollectionLabelDiffMadc = new Collection<SmartLabel>();
            this.CollectionLabelLRSec = new Collection<SmartLabel>();
            this.CollectionLabelLRMax = new Collection<SmartLabel>();
            this.CollectionPressureWork = new Collection<SmartLabel>();
            this.CollectionPressureMaster = new Collection<SmartLabel>();

            this.CollectionGroupBoxTitle = new Collection<SmartGroupBox>();
            this.CollectionLabelTitleWork = new Collection<SmartLabel>();
            this.CollectionLabelTitleMaster = new Collection<SmartLabel>();
            this.CollectionLabelTitleLRSec = new Collection<SmartLabel>();
            this.CollectionLabelTitleLRMax = new Collection<SmartLabel>();
            this.CollectionLabelTitleLevel = new Collection<SmartLabel>();
            this.CollectionLabelTitleHeight = new Collection<SmartLabel>();
            this.CollectionLabelTitleMaxHeight = new Collection<SmartLabel>();
            this.CollectionLabelTitleDiff = new Collection<SmartLabel>();
 
            for (int i = 1; i <= this.ParentForm.ParentForm.SystemConfig.EQUIPMENT_LANE; i++)
            {
                this.CollectionLabelResult.Add(FindByNameUtil.SmartLabel("labelResult" + i, this));
                this.CollectionLabelResultDiff.Add(FindByNameUtil.SmartLabel("labelResultDiff" + i, this));
                this.CollectionLabelResultDisp.Add(FindByNameUtil.SmartLabel("labelResultDisp" + i, this));
                this.CollectionLabelLevel.Add(FindByNameUtil.SmartLabel("labelLevel" + i, this));
                this.CollectionLabelHeight.Add(FindByNameUtil.SmartLabel("labelHeight" + i, this));
                this.CollectionLabelDiff.Add(FindByNameUtil.SmartLabel("labelDiff" + i, this));
                this.CollectionLabelMaxHeight.Add(FindByNameUtil.SmartLabel("labelMaxHeight" + i, this));
                this.CollectionLabelDiffMadc.Add(FindByNameUtil.SmartLabel("labelDiffMadc" + i, this));
                this.CollectionLabelLRSec.Add(FindByNameUtil.SmartLabel("labelLRSec" + i, this));
                this.CollectionLabelLRMax.Add(FindByNameUtil.SmartLabel("labelLRMax" + i, this));
                this.CollectionPressureWork.Add(FindByNameUtil.SmartLabel("labelPressureWork" + i, this));
                this.CollectionPressureMaster.Add(FindByNameUtil.SmartLabel("labelPressureMaster" + i, this));

                this.CollectionGroupBoxTitle.Add(FindByNameUtil.SmartGroupBox("groupBoxLane" + i, this));
                this.CollectionLabelTitleWork.Add(FindByNameUtil.SmartLabel("labelTitle" + i + "work", this));
                this.CollectionLabelTitleMaster.Add(FindByNameUtil.SmartLabel("labelTitle" + i + "Master", this));
                this.CollectionLabelTitleLRSec.Add(FindByNameUtil.SmartLabel("labelTitle" + i + "LRSec", this));
                this.CollectionLabelTitleLRMax.Add(FindByNameUtil.SmartLabel("labelTitle" + i + "LRMax", this));
                this.CollectionLabelTitleLevel.Add(FindByNameUtil.SmartLabel("labelTitle" + i + "Level", this));
                this.CollectionLabelTitleHeight.Add(FindByNameUtil.SmartLabel("labelTitle" + i + "Height", this));
                this.CollectionLabelTitleMaxHeight.Add(FindByNameUtil.SmartLabel("labelTitle" + i + "MaxHeight", this));
                this.CollectionLabelTitleDiff.Add(FindByNameUtil.SmartLabel("labelTitle" + i + "Diff", this));
            }
        }
        public void InitializeData()
        {
            for (int i = 0; i < this.ParentForm.ParentForm.SystemConfig.EQUIPMENT_LANE; i++)
            {
                this.CollectionLabelResult[i].Text = "-";
                this.CollectionLabelResult[i].TextColor = Define.ColorTextResultNone;
                this.CollectionLabelResultDiff[i].TextColor = Define.ColorTextResultNone;
                this.CollectionLabelResultDisp[i].TextColor = Define.ColorTextResultNone;
                this.CollectionLabelLevel[i].Text = "0.00";
                this.CollectionLabelHeight[i].Text = "0.00";
                this.CollectionLabelDiff[i].Text = "0.00";
                this.CollectionLabelMaxHeight[i].Text = "0.00";
                this.CollectionLabelDiffMadc[i].Text = "0.00";
                this.CollectionLabelLRSec[i].Text = "0.00";
                this.CollectionLabelLRMax[i].Text = "0.00";
                this.CollectionPressureWork[i].Text = "0.0";
                this.CollectionPressureMaster[i].Text = "0.0";
            }
        }
        public void InitializeDesign()
        {
            switch (this.ParentForm.ParentForm.SystemConfig.LANGUAGE)
            {
                case Define.E_LanguageID.Chinese:
                    for (int i = 0; i < this.ParentForm.ParentForm.SystemConfig.EQUIPMENT_LANE; i++)
                    {
                        this.CollectionLabelResultDiff[i].Text = "压差";
                        this.CollectionLabelResultDisp[i].Text = "位移";

                        this.CollectionGroupBoxTitle[i].Text = "巷 " + (i + 1).ToString();
                        this.CollectionLabelTitleWork[i].Text = "工作腔";
                        this.CollectionLabelTitleMaster[i].Text = "主腔";
                        this.CollectionLabelTitleLRSec[i].Text = "每秒变化率";
                        this.CollectionLabelTitleLRMax[i].Text = "最大变化率";
                        this.CollectionLabelTitleLevel[i].Text = "等级";
                        this.CollectionLabelTitleHeight[i].Text = "高度";
                        this.CollectionLabelTitleMaxHeight[i].Text = "最大高度";
                        this.CollectionLabelTitleDiff[i].Text = "差异";
                    }
                    break;
                default:
                    for (int i = 0; i < this.ParentForm.ParentForm.SystemConfig.EQUIPMENT_LANE; i++)
                    {
                        this.CollectionLabelResultDiff[i].Text = "Diff";
                        this.CollectionLabelResultDisp[i].Text = "Disp";

                        this.CollectionGroupBoxTitle[i].Text = "Lane " + (i + 1).ToString();
                        this.CollectionLabelTitleWork[i].Text = "Work";
                        this.CollectionLabelTitleMaster[i].Text = "Master";
                        this.CollectionLabelTitleLRSec[i].Text = "LR.Sec";
                        this.CollectionLabelTitleLRMax[i].Text = "LR.Max";
                        this.CollectionLabelTitleLevel[i].Text = "Level";
                        this.CollectionLabelTitleHeight[i].Text = "Height";
                        this.CollectionLabelTitleMaxHeight[i].Text = "MaxHeight";
                        this.CollectionLabelTitleDiff[i].Text = "Diff";
                    }
                    break;
            }
        }

        private void GetJudgmentResult(Define.E_JudgmentStatus judg, SmartLabel label2)
        {
            string value = "";

            switch (judg)
            {
                case Define.E_JudgmentStatus.None:
                    value = "-";
                    label2.TextColor = Define.ColorTextResultNone;
                    label2.Font = new Font("New Gulim", 20, FontStyle.Bold);
                    break;
                case Define.E_JudgmentStatus.Pass:
                    switch (this.ParentForm.ParentForm.SystemConfig.LANGUAGE)
                    {
                        case Define.E_LanguageID.Chinese:
                            value = "标准";
                            break;
                        default:
                            value = "Pass";
                            break;
                    }
                    label2.TextColor = Define.ColorTextResultPass;
                    label2.Font = new Font("New Gulim", 20, FontStyle.Bold);
                    break;
                case Define.E_JudgmentStatus.Ng:
                    switch (this.ParentForm.ParentForm.SystemConfig.LANGUAGE)
                    {
                        case Define.E_LanguageID.Chinese:
                            value = "泄漏";
                            break;
                        default:
                            value = "Leak";
                            break;
                    }
                    label2.TextColor = Define.ColorTextResultNG;
                    label2.Font = new Font("New Gulim", 20, FontStyle.Bold);
                    break;
                case Define.E_JudgmentStatus.Empty:
                    switch (this.ParentForm.ParentForm.SystemConfig.LANGUAGE)
                    {
                        case Define.E_LanguageID.Chinese:
                            value = "空的";
                            break;
                        default:
                            value = "Empty";
                            break;
                    }
                    label2.TextColor = Define.ColorTextResultNone;
                    label2.Font = new Font("New Gulim", 20, FontStyle.Bold);
                    break;
                case Define.E_JudgmentStatus.Error:
                    switch (this.ParentForm.ParentForm.SystemConfig.LANGUAGE)
                    {
                        case Define.E_LanguageID.Chinese:
                            value = "错误";
                            break;
                        default:
                            value = "Error";
                            break;
                    }
                    label2.TextColor = Define.ColorTextResultNone;
                    label2.Font = new Font("New Gulim", 20, FontStyle.Bold);
                    break;
                default:
                    break;
            }

            if (label2.Text != value)
                label2.Text = value;
        }
        private void GetJudgmentResultDiff(Define.E_JudgmentStatus judg, SmartLabel label)
        {
            switch (judg)
            {
                case Define.E_JudgmentStatus.None:
                    label.TextColor = Define.ColorTextResultNone;
                    break;
                case Define.E_JudgmentStatus.Pass:
                    label.TextColor = Define.ColorTextResultPass;
                    break;
                case Define.E_JudgmentStatus.Ng:
                    label.TextColor = Define.ColorTextResultNG;
                    break;
                case Define.E_JudgmentStatus.Empty:
                    label.TextColor = Define.ColorTextResultNone;
                    break;
                case Define.E_JudgmentStatus.Error:
                    label.TextColor = Define.ColorTextResultNone;
                    break;
                default:
                    break;
            }
        }
        private void GetJudgmentResultDisp(Define.E_JudgmentStatus judg, SmartLabel label)
        {
            switch (judg)
            {
                case Define.E_JudgmentStatus.None:
                    label.TextColor = Define.ColorTextResultNone;
                    break;
                case Define.E_JudgmentStatus.Pass:
                    label.TextColor = Define.ColorTextResultPass;
                    break;
                case Define.E_JudgmentStatus.Ng:
                    label.TextColor = Define.ColorTextResultNG;
                    break;
                case Define.E_JudgmentStatus.Empty:
                    label.TextColor = Define.ColorTextResultNone;
                    break;
                case Define.E_JudgmentStatus.Error:
                    label.TextColor = Define.ColorTextResultNone;
                    break;
                default:
                    break;
            }
        }

        public void UpdateDisplayProcessStatus(Define.E_ProcessStatus status)
        {
            switch (status)
            {
                case Define.E_ProcessStatus._0_None:
                    break;
                case Define.E_ProcessStatus._1_Ready:
                    break;
                case Define.E_ProcessStatus._2_ProductEntry:
                    this.InitializeData();
                    break;
                case Define.E_ProcessStatus._3_MoveToLeak:
                    break;
                case Define.E_ProcessStatus._4_MoveToCheck:
                    break;
                case Define.E_ProcessStatus._5_ChamberMerge:
                    break;
                case Define.E_ProcessStatus._6_VacuumStart:
                    break;
                case Define.E_ProcessStatus._7_VacuumHold:
                    break;
                case Define.E_ProcessStatus._8_Judgment:
                    break;
                case Define.E_ProcessStatus._9_VacuumBreak:
                    break;
                case Define.E_ProcessStatus._10_ChamberRelease:
                    break;
                case Define.E_ProcessStatus._11_MoveToReady:
                    break;
                default:
                    break;
            }
        }
        private void UpdateDisplayDotGraphDiff(SmartDraw draw, DiffData diff)
        {
            int iValue = 0;
            double dValue = 0.0;

            // 값 표시 범위
            // 15.000 ~ -2.000  (17.000 ~ 0)
            // 그래프 영역 높이 102
            // 17000 / 102 = 166.666666~
            //dValue = (int.Parse(data.CurrentValueSign + data.CurrentValue) + 2000) / 166.66666;

            if (dValue > 110)
                dValue = 110;
            if (dValue < 1)
                dValue = 1;

            iValue = int.Parse(string.Format("{0:f0}", dValue));

            draw.Chart.PutData(iValue);
        }
        private void UpdateDisplayDotGraphDisp(SmartDraw draw, DispData disp)
        {
            int iValue = 0;
            double dValue = 0.0;

            // 값 표시 범위
            // 15.000 ~ -2.000  (17.000 ~ 0)
            // 그래프 영역 높이 102
            // 17000 / 102 = 166.666666~
            //dValue = (int.Parse(data.CurrentValueSign + data.CurrentValue) + 2000) / 166.66666;

            if (dValue > 110)
                dValue = 110;
            if (dValue < 1)
                dValue = 1;

            iValue = int.Parse(string.Format("{0:f0}", dValue));

            draw.Chart.PutData(iValue);
        }
        public void UpdateEquipmentStatusDisplay(Define.E_EquipmentStatus status)
        {
            if (status == Define.E_EquipmentStatus.Start)
            {
                #region Start
                //this.labelStart.Visible = true;
                //this.labelStop.Visible = false;
                #endregion
            }
            else
            {
                #region Stop
                //this.labelStart.Visible = false;
                //this.labelStop.Visible = true;
                #endregion
            }
        }
        public void UpdateDisplayAlarmView(AlarmList alarm)
        {

        }

        // 차압센서 데이터
        public void UpdateDisplayDiffData(Collection<DiffData> datas)
        {
            string value = "";

            for (int i = 0; i < this.ParentForm.ParentForm.SystemConfig.EQUIPMENT_LANE; i++)
            {
                value = datas[i].MAdc;
                if (this.CollectionLabelDiffMadc[i].Text != value)
                    this.CollectionLabelDiffMadc[i].Text = value;

                value = datas[i].SecBuf;
                if (this.CollectionLabelLRSec[i].Text != value)
                    this.CollectionLabelLRSec[i].Text = value;

                value = datas[i].SecBufMax;
                if (this.CollectionLabelLRMax[i].Text != value)
                    this.CollectionLabelLRMax[i].Text = value;
            }
        }
        public void UpdateDisplayDiffData1(LeakData1 data)
        {
            string value = "";

            value = data.DiffData.MAdc;
            if (this.CollectionLabelDiffMadc[0].Text != value)
                this.CollectionLabelDiffMadc[0].Text = value;

            value = data.DiffData.SecBuf;
            if (this.CollectionLabelLRSec[0].Text != value)
                this.CollectionLabelLRSec[0].Text = value;

            value = data.DiffData.SecBufMax;
            if (this.CollectionLabelLRMax[0].Text != value)
                this.CollectionLabelLRMax[0].Text = value;
        }
        public void UpdateDisplayDiffData2(LeakData1 data)
        {
            string value = "";

            value = data.DiffData.MAdc;
            if (this.CollectionLabelDiffMadc[1].Text != value)
                this.CollectionLabelDiffMadc[1].Text = value;

            value = data.DiffData.SecBuf;
            if (this.CollectionLabelLRSec[1].Text != value)
                this.CollectionLabelLRSec[1].Text = value;

            value = data.DiffData.SecBufMax;
            if (this.CollectionLabelLRMax[1].Text != value)
                this.CollectionLabelLRMax[1].Text = value;
        }
        public void UpdateDisplayDiffData3(LeakData1 data)
        {
            string value = "";

            value = data.DiffData.MAdc;
            if (this.CollectionLabelDiffMadc[2].Text != value)
                this.CollectionLabelDiffMadc[2].Text = value;

            value = data.DiffData.SecBuf;
            if (this.CollectionLabelLRSec[2].Text != value)
                this.CollectionLabelLRSec[2].Text = value;

            value = data.DiffData.SecBufMax;
            if (this.CollectionLabelLRMax[2].Text != value)
                this.CollectionLabelLRMax[2].Text = value;
        }
        public void UpdateDisplayDiffData4(LeakData1 data)
        {
            string value = "";

            value = data.DiffData.MAdc;
            if (this.CollectionLabelDiffMadc[3].Text != value)
                this.CollectionLabelDiffMadc[3].Text = value;

            value = data.DiffData.SecBuf;
            if (this.CollectionLabelLRSec[3].Text != value)
                this.CollectionLabelLRSec[3].Text = value;

            value = data.DiffData.SecBufMax;
            if (this.CollectionLabelLRMax[3].Text != value)
                this.CollectionLabelLRMax[3].Text = value;
        }
        public void UpdateDisplayDiffData5(LeakData1 data)
        {
            string value = "";

            value = data.DiffData.MAdc;
            if (this.CollectionLabelDiffMadc[4].Text != value)
                this.CollectionLabelDiffMadc[4].Text = value;

            value = data.DiffData.SecBuf;
            if (this.CollectionLabelLRSec[4].Text != value)
                this.CollectionLabelLRSec[4].Text = value;

            value = data.DiffData.SecBufMax;
            if (this.CollectionLabelLRMax[4].Text != value)
                this.CollectionLabelLRMax[4].Text = value;
        }
        public void UpdateDisplayDiffData6(LeakData1 data)
        {
            string value = "";

            value = data.DiffData.MAdc;
            if (this.CollectionLabelDiffMadc[5].Text != value)
                this.CollectionLabelDiffMadc[5].Text = value;

            value = data.DiffData.SecBuf;
            if (this.CollectionLabelLRSec[5].Text != value)
                this.CollectionLabelLRSec[5].Text = value;

            value = data.DiffData.SecBufMax;
            if (this.CollectionLabelLRMax[5].Text != value)
                this.CollectionLabelLRMax[5].Text = value;
        }
        public void UpdateDisplayDiffData7(LeakData1 data)
        {
            string value = "";

            value = data.DiffData.MAdc;
            if (this.CollectionLabelDiffMadc[6].Text != value)
                this.CollectionLabelDiffMadc[6].Text = value;

            value = data.DiffData.SecBuf;
            if (this.CollectionLabelLRSec[6].Text != value)
                this.CollectionLabelLRSec[6].Text = value;

            value = data.DiffData.SecBufMax;
            if (this.CollectionLabelLRMax[6].Text != value)
                this.CollectionLabelLRMax[6].Text = value;
        }
        public void UpdateDisplayDiffData8(LeakData1 data)
        {
            string value = "";

            value = data.DiffData.MAdc;
            if (this.CollectionLabelDiffMadc[7].Text != value)
                this.CollectionLabelDiffMadc[7].Text = value;

            value = data.DiffData.SecBuf;
            if (this.CollectionLabelLRSec[7].Text != value)
                this.CollectionLabelLRSec[7].Text = value;

            value = data.DiffData.SecBufMax;
            if (this.CollectionLabelLRMax[7].Text != value)
                this.CollectionLabelLRMax[7].Text = value;
        }
        public void UpdateDisplayDiffData9(LeakData1 data)
        {
            string value = "";

            value = data.DiffData.MAdc;
            if (this.CollectionLabelDiffMadc[8].Text != value)
                this.CollectionLabelDiffMadc[8].Text = value;

            value = data.DiffData.SecBuf;
            if (this.CollectionLabelLRSec[8].Text != value)
                this.CollectionLabelLRSec[8].Text = value;

            value = data.DiffData.SecBufMax;
            if (this.CollectionLabelLRMax[8].Text != value)
                this.CollectionLabelLRMax[8].Text = value;
        }
        public void UpdateDisplayDiffData10(LeakData1 data)
        {
            string value = "";

            value = data.DiffData.MAdc;
            if (this.CollectionLabelDiffMadc[9].Text != value)
                this.CollectionLabelDiffMadc[9].Text = value;

            value = data.DiffData.SecBuf;
            if (this.CollectionLabelLRSec[9].Text != value)
                this.CollectionLabelLRSec[9].Text = value;

            value = data.DiffData.SecBufMax;
            if (this.CollectionLabelLRMax[9].Text != value)
                this.CollectionLabelLRMax[9].Text = value;
        }
        public void UpdateDisplayDiffData11(LeakData1 data)
        {
            string value = "";

            value = data.DiffData.MAdc;
            if (this.CollectionLabelDiffMadc[10].Text != value)
                this.CollectionLabelDiffMadc[10].Text = value;

            value = data.DiffData.SecBuf;
            if (this.CollectionLabelLRSec[10].Text != value)
                this.CollectionLabelLRSec[10].Text = value;

            value = data.DiffData.SecBufMax;
            if (this.CollectionLabelLRMax[10].Text != value)
                this.CollectionLabelLRMax[10].Text = value;
        }
        public void UpdateDisplayDiffData12(LeakData1 data)
        {
            string value = "";

            value = data.DiffData.MAdc;
            if (this.CollectionLabelDiffMadc[11].Text != value)
                this.CollectionLabelDiffMadc[11].Text = value;

            value = data.DiffData.SecBuf;
            if (this.CollectionLabelLRSec[11].Text != value)
                this.CollectionLabelLRSec[1].Text = value;

            value = data.DiffData.SecBufMax;
            if (this.CollectionLabelLRMax[11].Text != value)
                this.CollectionLabelLRMax[11].Text = value;
        }

        // 변위센서 데이터
        public void UpdateDisplayDispData(Collection<DispData> datas)
        {
            string value = "";

            for (int i = 0; i < this.ParentForm.ParentForm.SystemConfig.EQUIPMENT_LANE; i++)
            {
                value = datas[i].RData;
                if (this.CollectionLabelLevel[i].Text != value)
                    this.CollectionLabelLevel[i].Text = value;

                value = datas[i].MData;
                if (this.CollectionLabelHeight[i].Text != value)
                    this.CollectionLabelHeight[i].Text = value;

                value = datas[i].MDataDiff;
                if (this.CollectionLabelDiff[i].Text != value)
                    this.CollectionLabelDiff[i].Text = value;

                value = datas[i].MDataMax;
                if (this.CollectionLabelMaxHeight[i].Text != value)
                    this.CollectionLabelMaxHeight[i].Text = value;
            }
        }
        public void UpdateDisplayDispData1(LeakData1 data)
        {
            string value = "";

            value = data.DispData.RData;
            if (this.CollectionLabelLevel[0].Text != value)
                this.CollectionLabelLevel[0].Text = value;

            value = data.DispData.MData;
            if (this.CollectionLabelHeight[0].Text != value)
                this.CollectionLabelHeight[0].Text = value;

            value = data.DispData.MDataDiff;
            if (this.CollectionLabelDiff[0].Text != value)
                this.CollectionLabelDiff[0].Text = value;

            value = data.DispData.MDataMax;
            if (this.CollectionLabelMaxHeight[0].Text != value)
                this.CollectionLabelMaxHeight[0].Text = value;
        }
        public void UpdateDisplayDispData2(LeakData1 data)
        {
            string value = "";

            value = data.DispData.RData;
            if (this.CollectionLabelLevel[1].Text != value)
                this.CollectionLabelLevel[1].Text = value;

            value = data.DispData.MData;
            if (this.CollectionLabelHeight[1].Text != value)
                this.CollectionLabelHeight[1].Text = value;

            value = data.DispData.MDataDiff;
            if (this.CollectionLabelDiff[1].Text != value)
                this.CollectionLabelDiff[1].Text = value;

            value = data.DispData.MDataMax;
            if (this.CollectionLabelMaxHeight[1].Text != value)
                this.CollectionLabelMaxHeight[1].Text = value;
        }
        public void UpdateDisplayDispData3(LeakData1 data)
        {
            string value = "";

            value = data.DispData.RData;
            if (this.CollectionLabelLevel[2].Text != value)
                this.CollectionLabelLevel[2].Text = value;

            value = data.DispData.MData;
            if (this.CollectionLabelHeight[2].Text != value)
                this.CollectionLabelHeight[2].Text = value;

            value = data.DispData.MDataDiff;
            if (this.CollectionLabelDiff[2].Text != value)
                this.CollectionLabelDiff[2].Text = value;

            value = data.DispData.MDataMax;
            if (this.CollectionLabelMaxHeight[2].Text != value)
                this.CollectionLabelMaxHeight[2].Text = value;
        }
        public void UpdateDisplayDispData4(LeakData1 data)
        {
            string value = "";

            value = data.DispData.RData;
            if (this.CollectionLabelLevel[3].Text != value)
                this.CollectionLabelLevel[3].Text = value;

            value = data.DispData.MData;
            if (this.CollectionLabelHeight[3].Text != value)
                this.CollectionLabelHeight[3].Text = value;

            value = data.DispData.MDataDiff;
            if (this.CollectionLabelDiff[3].Text != value)
                this.CollectionLabelDiff[3].Text = value;

            value = data.DispData.MDataMax;
            if (this.CollectionLabelMaxHeight[3].Text != value)
                this.CollectionLabelMaxHeight[3].Text = value;
        }
        public void UpdateDisplayDispData5(LeakData1 data)
        {
            string value = "";

            value = data.DispData.RData;
            if (this.CollectionLabelLevel[4].Text != value)
                this.CollectionLabelLevel[4].Text = value;

            value = data.DispData.MData;
            if (this.CollectionLabelHeight[4].Text != value)
                this.CollectionLabelHeight[4].Text = value;

            value = data.DispData.MDataDiff;
            if (this.CollectionLabelDiff[4].Text != value)
                this.CollectionLabelDiff[4].Text = value;

            value = data.DispData.MDataMax;
            if (this.CollectionLabelMaxHeight[4].Text != value)
                this.CollectionLabelMaxHeight[4].Text = value;
        }
        public void UpdateDisplayDispData6(LeakData1 data)
        {
            string value = "";

            value = data.DispData.RData;
            if (this.CollectionLabelLevel[5].Text != value)
                this.CollectionLabelLevel[5].Text = value;

            value = data.DispData.MData;
            if (this.CollectionLabelHeight[5].Text != value)
                this.CollectionLabelHeight[5].Text = value;

            value = data.DispData.MDataDiff;
            if (this.CollectionLabelDiff[5].Text != value)
                this.CollectionLabelDiff[5].Text = value;

            value = data.DispData.MDataMax;
            if (this.CollectionLabelMaxHeight[5].Text != value)
                this.CollectionLabelMaxHeight[5].Text = value;
        }
        public void UpdateDisplayDispData7(LeakData1 data)
        {
            string value = "";

            value = data.DispData.RData;
            if (this.CollectionLabelLevel[6].Text != value)
                this.CollectionLabelLevel[6].Text = value;

            value = data.DispData.MData;
            if (this.CollectionLabelHeight[6].Text != value)
                this.CollectionLabelHeight[6].Text = value;

            value = data.DispData.MDataDiff;
            if (this.CollectionLabelDiff[6].Text != value)
                this.CollectionLabelDiff[6].Text = value;

            value = data.DispData.MDataMax;
            if (this.CollectionLabelMaxHeight[6].Text != value)
                this.CollectionLabelMaxHeight[6].Text = value;
        }
        public void UpdateDisplayDispData8(LeakData1 data)
        {
            string value = "";

            value = data.DispData.RData;
            if (this.CollectionLabelLevel[7].Text != value)
                this.CollectionLabelLevel[7].Text = value;

            value = data.DispData.MData;
            if (this.CollectionLabelHeight[7].Text != value)
                this.CollectionLabelHeight[7].Text = value;

            value = data.DispData.MDataDiff;
            if (this.CollectionLabelDiff[7].Text != value)
                this.CollectionLabelDiff[7].Text = value;

            value = data.DispData.MDataMax;
            if (this.CollectionLabelMaxHeight[7].Text != value)
                this.CollectionLabelMaxHeight[7].Text = value;
        }
        public void UpdateDisplayDispData9(LeakData1 data)
        {
            string value = "";

            value = data.DispData.RData;
            if (this.CollectionLabelLevel[8].Text != value)
                this.CollectionLabelLevel[8].Text = value;

            value = data.DispData.MData;
            if (this.CollectionLabelHeight[8].Text != value)
                this.CollectionLabelHeight[8].Text = value;

            value = data.DispData.MDataDiff;
            if (this.CollectionLabelDiff[8].Text != value)
                this.CollectionLabelDiff[8].Text = value;

            value = data.DispData.MDataMax;
            if (this.CollectionLabelMaxHeight[8].Text != value)
                this.CollectionLabelMaxHeight[8].Text = value;
        }
        public void UpdateDisplayDispData10(LeakData1 data)
        {
            string value = "";

            value = data.DispData.RData;
            if (this.CollectionLabelLevel[9].Text != value)
                this.CollectionLabelLevel[9].Text = value;

            value = data.DispData.MData;
            if (this.CollectionLabelHeight[9].Text != value)
                this.CollectionLabelHeight[9].Text = value;

            value = data.DispData.MDataDiff;
            if (this.CollectionLabelDiff[9].Text != value)
                this.CollectionLabelDiff[9].Text = value;

            value = data.DispData.MDataMax;
            if (this.CollectionLabelMaxHeight[9].Text != value)
                this.CollectionLabelMaxHeight[9].Text = value;
        }
        public void UpdateDisplayDispData11(LeakData1 data)
        {
            string value = "";

            value = data.DispData.RData;
            if (this.CollectionLabelLevel[10].Text != value)
                this.CollectionLabelLevel[10].Text = value;

            value = data.DispData.MData;
            if (this.CollectionLabelHeight[10].Text != value)
                this.CollectionLabelHeight[10].Text = value;

            value = data.DispData.MDataDiff;
            if (this.CollectionLabelDiff[10].Text != value)
                this.CollectionLabelDiff[10].Text = value;

            value = data.DispData.MDataMax;
            if (this.CollectionLabelMaxHeight[10].Text != value)
                this.CollectionLabelMaxHeight[10].Text = value;
        }
        public void UpdateDisplayDispData12(LeakData1 data)
        {
            string value = "";

            value = data.DispData.RData;
            if (this.CollectionLabelLevel[11].Text != value)
                this.CollectionLabelLevel[11].Text = value;

            value = data.DispData.MData;
            if (this.CollectionLabelHeight[11].Text != value)
                this.CollectionLabelHeight[11].Text = value;

            value = data.DispData.MDataDiff;
            if (this.CollectionLabelDiff[11].Text != value)
                this.CollectionLabelDiff[11].Text = value;

            value = data.DispData.MDataMax;
            if (this.CollectionLabelMaxHeight[11].Text != value)
                this.CollectionLabelMaxHeight[11].Text = value;
        }

        // 압력센서 데이터
        public void UpdateDisplayPresData(Collection<PressureData> datas)
        {
            string value = "";

            for (int i = 0; i < this.ParentForm.ParentForm.SystemConfig.EQUIPMENT_LANE; i++)
            {
                value = datas[i].WorkingChamber;
                if (this.CollectionPressureWork[i].Text != value)
                    this.CollectionPressureWork[i].Text = value;

                value = datas[i].MasterChamber;
                if (this.CollectionPressureMaster[i].Text != value)
                    this.CollectionPressureMaster[i].Text = value;
            }
        }
        public void UpdateDisplayPresData1(LeakData1 data)
        {
            string value = "";

            value = data.PresData.WorkingChamber;
            if (this.CollectionPressureWork[0].Text != value)
                this.CollectionPressureWork[0].Text = value;

            value = data.PresData.MasterChamber;
            if (this.CollectionPressureMaster[0].Text != value)
                this.CollectionPressureMaster[0].Text = value;
        }
        public void UpdateDisplayPresData2(LeakData1 data)
        {
            string value = "";

            value = data.PresData.WorkingChamber;
            if (this.CollectionPressureWork[1].Text != value)
                this.CollectionPressureWork[1].Text = value;

            value = data.PresData.MasterChamber;
            if (this.CollectionPressureMaster[1].Text != value)
                this.CollectionPressureMaster[1].Text = value;
        }
        public void UpdateDisplayPresData3(LeakData1 data)
        {
            string value = "";

            value = data.PresData.WorkingChamber;
            if (this.CollectionPressureWork[2].Text != value)
                this.CollectionPressureWork[2].Text = value;

            value = data.PresData.MasterChamber;
            if (this.CollectionPressureMaster[2].Text != value)
                this.CollectionPressureMaster[2].Text = value;
        }
        public void UpdateDisplayPresData4(LeakData1 data)
        {
            string value = "";

            value = data.PresData.WorkingChamber;
            if (this.CollectionPressureWork[3].Text != value)
                this.CollectionPressureWork[3].Text = value;

            value = data.PresData.MasterChamber;
            if (this.CollectionPressureMaster[3].Text != value)
                this.CollectionPressureMaster[3].Text = value;
        }
        public void UpdateDisplayPresData5(LeakData1 data)
        {
            string value = "";

            value = data.PresData.WorkingChamber;
            if (this.CollectionPressureWork[4].Text != value)
                this.CollectionPressureWork[4].Text = value;

            value = data.PresData.MasterChamber;
            if (this.CollectionPressureMaster[4].Text != value)
                this.CollectionPressureMaster[4].Text = value;
        }
        public void UpdateDisplayPresData6(LeakData1 data)
        {
            string value = "";

            value = data.PresData.WorkingChamber;
            if (this.CollectionPressureWork[5].Text != value)
                this.CollectionPressureWork[5].Text = value;

            value = data.PresData.MasterChamber;
            if (this.CollectionPressureMaster[5].Text != value)
                this.CollectionPressureMaster[5].Text = value;
        }
        public void UpdateDisplayPresData7(LeakData1 data)
        {
            string value = "";

            value = data.PresData.WorkingChamber;
            if (this.CollectionPressureWork[6].Text != value)
                this.CollectionPressureWork[6].Text = value;

            value = data.PresData.MasterChamber;
            if (this.CollectionPressureMaster[6].Text != value)
                this.CollectionPressureMaster[6].Text = value;
        }
        public void UpdateDisplayPresData8(LeakData1 data)
        {
            string value = "";

            value = data.PresData.WorkingChamber;
            if (this.CollectionPressureWork[7].Text != value)
                this.CollectionPressureWork[7].Text = value;

            value = data.PresData.MasterChamber;
            if (this.CollectionPressureMaster[7].Text != value)
                this.CollectionPressureMaster[7].Text = value;
        }
        public void UpdateDisplayPresData9(LeakData1 data)
        {
            string value = "";

            value = data.PresData.WorkingChamber;
            if (this.CollectionPressureWork[8].Text != value)
                this.CollectionPressureWork[8].Text = value;

            value = data.PresData.MasterChamber;
            if (this.CollectionPressureMaster[8].Text != value)
                this.CollectionPressureMaster[8].Text = value;
        }
        public void UpdateDisplayPresData10(LeakData1 data)
        {
            string value = "";

            value = data.PresData.WorkingChamber;
            if (this.CollectionPressureWork[9].Text != value)
                this.CollectionPressureWork[9].Text = value;

            value = data.PresData.MasterChamber;
            if (this.CollectionPressureMaster[9].Text != value)
                this.CollectionPressureMaster[9].Text = value;
        }
        public void UpdateDisplayPresData11(LeakData1 data)
        {
            string value = "";

            value = data.PresData.WorkingChamber;
            if (this.CollectionPressureWork[10].Text != value)
                this.CollectionPressureWork[10].Text = value;

            value = data.PresData.MasterChamber;
            if (this.CollectionPressureMaster[10].Text != value)
                this.CollectionPressureMaster[10].Text = value;
        }
        public void UpdateDisplayPresData12(LeakData1 data)
        {
            string value = "";

            value = data.PresData.WorkingChamber;
            if (this.CollectionPressureWork[11].Text != value)
                this.CollectionPressureWork[11].Text = value;

            value = data.PresData.MasterChamber;
            if (this.CollectionPressureMaster[11].Text != value)
                this.CollectionPressureMaster[11].Text = value;
        }

        // 판정결과
        public void UpdateDisplayJudgmentData1(LeakData1 data)
        {
            this.GetJudgmentResult(data.Judgment.Result, this.CollectionLabelResult[0]);

            if (data.Judgment.Result == Define.E_JudgmentStatus.Empty || data.Judgment.Result == Define.E_JudgmentStatus.Error)
            {
                this.GetJudgmentResultDiff(Define.E_JudgmentStatus.Empty, this.CollectionLabelResultDiff[0]);
                this.GetJudgmentResultDisp(Define.E_JudgmentStatus.Empty, this.CollectionLabelResultDisp[0]);
            }
            else
            {
                this.GetJudgmentResultDiff(data.Judgment.DIFF_Result, this.CollectionLabelResultDiff[0]);
                this.GetJudgmentResultDisp(data.Judgment.DISP_Result, this.CollectionLabelResultDisp[0]);
            }
        }
        public void UpdateDisplayJudgmentData2(LeakData1 data)
        {
            this.GetJudgmentResult(data.Judgment.Result, this.CollectionLabelResult[1]);

            if (data.Judgment.Result == Define.E_JudgmentStatus.Empty || data.Judgment.Result == Define.E_JudgmentStatus.Error)
            {
                this.GetJudgmentResultDiff(Define.E_JudgmentStatus.Empty, this.CollectionLabelResultDiff[1]);
                this.GetJudgmentResultDisp(Define.E_JudgmentStatus.Empty, this.CollectionLabelResultDisp[1]);
            }
            else
            {
                this.GetJudgmentResultDiff(data.Judgment.DIFF_Result, this.CollectionLabelResultDiff[1]);
                this.GetJudgmentResultDisp(data.Judgment.DISP_Result, this.CollectionLabelResultDisp[1]);
            }
        }
        public void UpdateDisplayJudgmentData3(LeakData1 data)
        {
            this.GetJudgmentResult(data.Judgment.Result, this.CollectionLabelResult[2]);

            if (data.Judgment.Result == Define.E_JudgmentStatus.Empty || data.Judgment.Result == Define.E_JudgmentStatus.Error)
            {
                this.GetJudgmentResultDiff(Define.E_JudgmentStatus.Empty, this.CollectionLabelResultDiff[2]);
                this.GetJudgmentResultDisp(Define.E_JudgmentStatus.Empty, this.CollectionLabelResultDisp[2]);
            }
            else
            {
                this.GetJudgmentResultDiff(data.Judgment.DIFF_Result, this.CollectionLabelResultDiff[2]);
                this.GetJudgmentResultDisp(data.Judgment.DISP_Result, this.CollectionLabelResultDisp[2]);
            }
        }
        public void UpdateDisplayJudgmentData4(LeakData1 data)
        {
            this.GetJudgmentResult(data.Judgment.Result, this.CollectionLabelResult[3]);

            if (data.Judgment.Result == Define.E_JudgmentStatus.Empty || data.Judgment.Result == Define.E_JudgmentStatus.Error)
            {
                this.GetJudgmentResultDiff(Define.E_JudgmentStatus.Empty, this.CollectionLabelResultDiff[3]);
                this.GetJudgmentResultDisp(Define.E_JudgmentStatus.Empty, this.CollectionLabelResultDisp[3]);
            }
            else
            {
                this.GetJudgmentResultDiff(data.Judgment.DIFF_Result, this.CollectionLabelResultDiff[3]);
                this.GetJudgmentResultDisp(data.Judgment.DISP_Result, this.CollectionLabelResultDisp[3]);
            }
        }
        public void UpdateDisplayJudgmentData5(LeakData1 data)
        {
            this.GetJudgmentResult(data.Judgment.Result, this.CollectionLabelResult[4]);

            if (data.Judgment.Result == Define.E_JudgmentStatus.Empty || data.Judgment.Result == Define.E_JudgmentStatus.Error)
            {
                this.GetJudgmentResultDiff(Define.E_JudgmentStatus.Empty, this.CollectionLabelResultDiff[4]);
                this.GetJudgmentResultDisp(Define.E_JudgmentStatus.Empty, this.CollectionLabelResultDisp[4]);
            }
            else
            {
                this.GetJudgmentResultDiff(data.Judgment.DIFF_Result, this.CollectionLabelResultDiff[4]);
                this.GetJudgmentResultDisp(data.Judgment.DISP_Result, this.CollectionLabelResultDisp[4]);
            }
        }
        public void UpdateDisplayJudgmentData6(LeakData1 data)
        {
            this.GetJudgmentResult(data.Judgment.Result, this.CollectionLabelResult[5]);

            if (data.Judgment.Result == Define.E_JudgmentStatus.Empty || data.Judgment.Result == Define.E_JudgmentStatus.Error)
            {
                this.GetJudgmentResultDiff(Define.E_JudgmentStatus.Empty, this.CollectionLabelResultDiff[5]);
                this.GetJudgmentResultDisp(Define.E_JudgmentStatus.Empty, this.CollectionLabelResultDisp[5]);
            }
            else
            {
                this.GetJudgmentResultDiff(data.Judgment.DIFF_Result, this.CollectionLabelResultDiff[5]);
                this.GetJudgmentResultDisp(data.Judgment.DISP_Result, this.CollectionLabelResultDisp[5]);
            }
        }
        public void UpdateDisplayJudgmentData7(LeakData1 data)
        {
            this.GetJudgmentResult(data.Judgment.Result, this.CollectionLabelResult[6]);

            if (data.Judgment.Result == Define.E_JudgmentStatus.Empty || data.Judgment.Result == Define.E_JudgmentStatus.Error)
            {
                this.GetJudgmentResultDiff(Define.E_JudgmentStatus.Empty, this.CollectionLabelResultDiff[6]);
                this.GetJudgmentResultDisp(Define.E_JudgmentStatus.Empty, this.CollectionLabelResultDisp[6]);
            }
            else
            {
                this.GetJudgmentResultDiff(data.Judgment.DIFF_Result, this.CollectionLabelResultDiff[6]);
                this.GetJudgmentResultDisp(data.Judgment.DISP_Result, this.CollectionLabelResultDisp[6]);
            }
        }
        public void UpdateDisplayJudgmentData8(LeakData1 data)
        {
            this.GetJudgmentResult(data.Judgment.Result, this.CollectionLabelResult[7]);

            if (data.Judgment.Result == Define.E_JudgmentStatus.Empty || data.Judgment.Result == Define.E_JudgmentStatus.Error)
            {
                this.GetJudgmentResultDiff(Define.E_JudgmentStatus.Empty, this.CollectionLabelResultDiff[7]);
                this.GetJudgmentResultDisp(Define.E_JudgmentStatus.Empty, this.CollectionLabelResultDisp[7]);
            }
            else
            {
                this.GetJudgmentResultDiff(data.Judgment.DIFF_Result, this.CollectionLabelResultDiff[7]);
                this.GetJudgmentResultDisp(data.Judgment.DISP_Result, this.CollectionLabelResultDisp[7]);
            }
        }
        public void UpdateDisplayJudgmentData9(LeakData1 data)
        {
            this.GetJudgmentResult(data.Judgment.Result, this.CollectionLabelResult[8]);

            if (data.Judgment.Result == Define.E_JudgmentStatus.Empty || data.Judgment.Result == Define.E_JudgmentStatus.Error)
            {
                this.GetJudgmentResultDiff(Define.E_JudgmentStatus.Empty, this.CollectionLabelResultDiff[8]);
                this.GetJudgmentResultDisp(Define.E_JudgmentStatus.Empty, this.CollectionLabelResultDisp[8]);
            }
            else
            {
                this.GetJudgmentResultDiff(data.Judgment.DIFF_Result, this.CollectionLabelResultDiff[8]);
                this.GetJudgmentResultDisp(data.Judgment.DISP_Result, this.CollectionLabelResultDisp[8]);
            }
        }
        public void UpdateDisplayJudgmentData10(LeakData1 data)
        {
            this.GetJudgmentResult(data.Judgment.Result, this.CollectionLabelResult[9]);

            if (data.Judgment.Result == Define.E_JudgmentStatus.Empty || data.Judgment.Result == Define.E_JudgmentStatus.Error)
            {
                this.GetJudgmentResultDiff(Define.E_JudgmentStatus.Empty, this.CollectionLabelResultDiff[9]);
                this.GetJudgmentResultDisp(Define.E_JudgmentStatus.Empty, this.CollectionLabelResultDisp[9]);
            }
            else
            {
                this.GetJudgmentResultDiff(data.Judgment.DIFF_Result, this.CollectionLabelResultDiff[9]);
                this.GetJudgmentResultDisp(data.Judgment.DISP_Result, this.CollectionLabelResultDisp[9]);
            }
        }
        public void UpdateDisplayJudgmentData11(LeakData1 data)
        {
            this.GetJudgmentResult(data.Judgment.Result, this.CollectionLabelResult[10]);

            if (data.Judgment.Result == Define.E_JudgmentStatus.Empty || data.Judgment.Result == Define.E_JudgmentStatus.Error)
            {
                this.GetJudgmentResultDiff(Define.E_JudgmentStatus.Empty, this.CollectionLabelResultDiff[10]);
                this.GetJudgmentResultDisp(Define.E_JudgmentStatus.Empty, this.CollectionLabelResultDisp[10]);
            }
            else
            {
                this.GetJudgmentResultDiff(data.Judgment.DIFF_Result, this.CollectionLabelResultDiff[10]);
                this.GetJudgmentResultDisp(data.Judgment.DISP_Result, this.CollectionLabelResultDisp[10]);
            }
        }
        public void UpdateDisplayJudgmentData12(LeakData1 data)
        {
            this.GetJudgmentResult(data.Judgment.Result, this.CollectionLabelResult[11]);

            if (data.Judgment.Result == Define.E_JudgmentStatus.Empty || data.Judgment.Result == Define.E_JudgmentStatus.Error)
            {
                this.GetJudgmentResultDiff(Define.E_JudgmentStatus.Empty, this.CollectionLabelResultDiff[11]);
                this.GetJudgmentResultDisp(Define.E_JudgmentStatus.Empty, this.CollectionLabelResultDisp[11]);
            }
            else
            {
                this.GetJudgmentResultDiff(data.Judgment.DIFF_Result, this.CollectionLabelResultDiff[11]);
                this.GetJudgmentResultDisp(data.Judgment.DISP_Result, this.CollectionLabelResultDisp[11]);
            }
        }

        public void DisplayRefresh()
        {
            this.ParentForm.ParentForm.CurrentSystemStatus.CurrentDisplayMode = Define.E_DisplayModeStore.Equipment;
            this.ParentForm.ParentForm.SetDisplayMode(Define.E_EquipmentMode.Normal);
        }
        #endregion
    }
}
